Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 455396 - Review Request: TrustedQSL - TrustedQSL ham-radio applications
Summary: Review Request: TrustedQSL - TrustedQSL ham-radio applications
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Gwyn Ciesla
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 455380
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-07-15 11:46 UTC by Lucian Langa
Modified: 2008-11-06 04:09 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-10-13 05:29:37 UTC
gwync: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Description Lucian Langa 2008-07-15 11:46:27 UTC
Spec URL: http://lucilanga.fedorapeople.org/TrustedQSL.spec
SRPM URL: http://lucilanga.fedorapeople.org/TrustedQSL-1.11-1.fc9.src.rpm
Description: The TrustedQSL applications are used for generating digitally signed
QSO records (records of Amateur Radio contacts). This package
contains the GUI applications tqslcert and tqsl.

Comment 1 Gwyn Ciesla 2008-10-10 15:35:57 UTC
Build error:

+ mkdir -p /var/tmp/TrustedQSL-1.11-1.fc9-root-limb/usr/share/applications
+ mkdir -p /var/tmp/TrustedQSL-1.11-1.fc9-root-limb/usr/share/pixmaps
+ cp icons/key48.png /var/tmp/TrustedQSL-1.11-1.fc9-root-limb/usr/share/pixmaps/TrustedQSL.png
+ sed -i -e s/.png//g tqsl.desktop
+ sed -i -e s/.png//g tqslcert.desktop
+ desktop-file-install --vendor=fedora --dir=/var/tmp/TrustedQSL-1.11-1.fc9-root-limb/usr/share/applications /home/limb/rpmbuild/BUILD/tqsl.desktop
Error on file "/home/limb/rpmbuild/BUILD/tqsl.desktop": No such file or directory
error: Bad exit status from /var/tmp/rpm-tmp.32062 (%install)

If you drop the %{builddir} it works.

Also, you need to BuildRequire desktop-file-utils and expat-devel.

rpmlint is clean on everything.

Since upstream uses lowercase some places in their naming and uppercase in others, from what I see, it might be better to make this package's name all lowercase.  Your call.

Comment on status of your patches WRT upstream.  If submitted upstream, indicate this in the spec.  If not, do so, and indicate in the spec.

Add ChangeLog, INSTALL and the help/ dir to %doc.

Otherwise, full review looks good.  I'm doing another mock build, I'll post back with any further BR issues.

Comment 2 Gwyn Ciesla 2008-10-10 15:57:52 UTC
No more BR issues.

Comment 3 Lucian Langa 2008-10-10 19:42:19 UTC
(In reply to comment #1)

> If you drop the %{builddir} it works.
fixed


> Also, you need to BuildRequire desktop-file-utils and expat-devel.
fixed


> Since upstream uses lowercase some places in their naming and uppercase in
> others, from what I see, it might be better to make this package's name all
> lowercase.  Your call.
lowered the name


> Comment on status of your patches WRT upstream.  If submitted upstream,
> indicate this in the spec.  If not, do so, and indicate in the spec.
fixed


> Add ChangeLog, INSTALL and the help/ dir to %doc.
Added ChangeLog and help/*, INSTALL is only required for people that want to compile this from source.


also add detection for zlib, expat on x86_64 arch (koji failed to build those)

.. and bumped version to:

http://lucilanga.fedorapeople.org/trustedqsl.spec
http://lucilanga.fedorapeople.org/trustedqsl-1.11-2.fc10.src.rpm

Comment 4 Gwyn Ciesla 2008-10-10 20:04:51 UTC
Drop an 'o' from losing, line 11.

Otherwise, looks great.

APPROVED.

Thanks!

Comment 5 Lucian Langa 2008-10-11 06:59:21 UTC
New Package CVS Request
=======================
Package Name: trustedqsl
Short Description: TrustedQSL ham-radio applications
Owners: lucilanga
Branches: F-8 F-9 EL-5
InitialCC:

Comment 6 Kevin Fenzi 2008-10-13 01:55:25 UTC
cvs done.

Comment 7 Fedora Update System 2008-10-13 05:27:12 UTC
trustedqsl-1.11-2.fc8 has been submitted as an update for Fedora 8.
http://admin.fedoraproject.org/updates/trustedqsl-1.11-2.fc8

Comment 8 Fedora Update System 2008-10-13 05:28:02 UTC
trustedqsl-1.11-2.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/trustedqsl-1.11-2.fc9

Comment 9 Fedora Update System 2008-11-06 04:03:37 UTC
trustedqsl-1.11-2.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2008-11-06 04:09:04 UTC
trustedqsl-1.11-2.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.